Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class DivElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.DivElement

public final class DivElement
extends MultiPartElement

A DivElement is used to define the attributes for a division in an HTML document. A DivElement is made up of other HtmlElements, which are accessible by index position.

HTML 4.0 deprecates the CENTER element in favor of the DIV element with the align attribute set to "center". htmlKona provides a simple method for this use.

Author:
  Copyright (c) 1995-97, WebLogic, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`DivElement()` Deprecated.

Method Summary
`DivElement` | `addElement(HtmlElement val)` Deprecated. Adds an HtmlElement to a DivElement.
`DivElement` | `addElement(java.lang.String val)` Deprecated. Adds a StringElement to a DivElement.
`HtmlElement` | `getElementAt(int pos)` Deprecated. Gets the HtmlElement at the specified index position.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`DivElement` | `setAlign(TextAlignType val)` Deprecated. Sets the alignment of a DivElement.
`DivElement` | `setCentered()` Deprecated. Sets a DivElement to centered alignment.
`DivElement` | `setClear(ClearType val)` Deprecated. Sets the clear attribute for a DivElement.
`DivElement` | `setClear(java.lang.String val)` Deprecated. Sets the clear attribute for a DivElement.
`DivElement` | `setNoWrap()` Deprecated. Sets the wrap attribute of a DivElement to NOWRAP.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DivElement

    public DivElement()

  Deprecated.

Method Detail

### addElement

    public DivElement addElement(HtmlElement val)

  Deprecated.
  Adds an HtmlElement to a DivElement.

  Parameters:
    `val` - HtmlElement
  Returns:
    DivElement object

### addElement

    public DivElement addElement(java.lang.String val)

  Deprecated.
  Adds a StringElement to a DivElement.

  Parameters:
    `val` - StringElement
  Returns:
    DivElement object

### getElementAt

    public HtmlElement getElementAt(int pos)

  Deprecated.
  Gets the HtmlElement at the specified index position.

  Parameters:
    `pos` - Index position
  Returns:
    HtmlElement

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setNoWrap

    public DivElement setNoWrap()

  Deprecated.
  Sets the wrap attribute of a DivElement to NOWRAP.

  Returns:
    DivElement object

### setAlign

    public DivElement setAlign(TextAlignType val)

  Deprecated.
  Sets the alignment of a DivElement. Valid arguments are encapsulated in the TextAlignType class.

  Parameters:
    `val` - TextAlignType object
  Returns:
    DivElement object

### setCentered

    public DivElement setCentered()

  Deprecated.
  Sets a DivElement to centered alignment. This method provides a convenient replacement for the deprecated CenteredElement class.

### setClear

    public DivElement setClear(java.lang.String val)

  Deprecated.
  Sets the clear attribute for a DivElement.

  Parameters:
    `val` - Value for the CLEAR attribute
  Returns:
    DivElement object

### setClear

    public DivElement setClear(ClearType val)

  Deprecated.
  Sets the clear attribute for a DivElement.

  Parameters:
    `val` - ClearType object
  Returns:
    DivElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference